/*    FONT COLORS 
  --font-primary-color;
  --font-secondary-color;

   FONT SIZES 
  --heading-font-body;
  --heading-font-h1;
  --heading-font-h2;
  --heading-font-h3;
  --heading-font-h4;
  --heading-font-h5;
  --heading-font-h6;

    SECTION PADDING - DESKTOP 
  --padding-desktop-top;
  --padding-desktop-bottom;
  --padding-desktop-left;
  --padding-desktop-right;

    SECTION PADDING - MOBILE 
  --padding-mobile-top;
  --padding-mobile-bottom;
  --padding-mobile-left;
  --padding-mobile-right; 

    THEME COLORS 
  --theme-primary-color;
  --theme-secondary-color;
*/

html {
  scroll-behavior: smooth;
}

body {
    background: var(--theme-primary-color) !important;
    font-family: 'Lato', sans-serif !important;
    margin: 0;
    box-sizing: border-box;
    overflow-x: hidden;
}

section.section {
    padding-top: var(--padding-desktop-top);
    padding-bottom: var(--padding-desktop-bottom);
    padding-left: var(--padding-desktop-left);
    padding-right: var(--padding-desktop-right);
}


.container-m {
    max-width: var(--container-min-width);
    margin: auto;
    padding-left: 15px;
    padding-right: 15px;
}

/* HTML ELEMENTS */
h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
}

h1 {
    font-size: var(--heading-font-h1);
    font-family: 'Poppins', sans-serif !important;
}

h2 {
    font-size: var(--heading-font-h2);
    font-weight: 700;
    font-family: 'Poppins', sans-serif !important;
    line-height: 57.6px;
}

h3 {
    font-size: var(--heading-font-h3);
    font-weight: 600;
    font-family: 'Poppins', sans-serif !important;
}

h4 {
    font-size: var(--heading-font-h4);
}

h5 {
    font-size: var(--heading-font-h5);
}

h6 {
    font-size: var(--heading-font-h6);
    font-weight: 500;
}

a {
    font-family: 'Poppins', sans-serif !important;
}

a:visited {
	color: var(--primary-btn-default-color) !important;
}

p {
    font-size: var(--heading-font-paragraph);
    color: var(--font-primary-color) !important;
    font-weight: 400;
}

img {
    width: 100%;
    object-fit: cover;
    -o-object-fit: cover;
    -webkit-object-fit: cover;
    -moz-object-fit: cover;
    -ms-object-fit: cover;
}

/* BUTTONS */
.global-btn-primary a {
    font-size: var(--heading-font-a-tags, 16px);
    padding: 12px 24px 12px 24px;
    border-radius: 8px;
    text-decoration: none;
    display: block;
    width: fit-content;
    color: var(--primary-btn-default-color);
    background-color: var(--primary-btn-default-background-color);
    transition: all 0.3s ease;
    cursor: pointer;
    border: 1px solid var(--primary-btn-default-background-color);
}

.global-btn-primary a:hover {
    color: var(--primary-btn-hover-color);
    background-color: var(--primary-btn-hover-background-color);
    transition: all 0.3s ease;
    border: 1px solid var(--primary-btn-hover-background-color);
}

.global-btn-secondary a {
    font-size: var(--heading-font-a-tags, 16px);
    padding: 12px 24px 12px 24px;
    border-radius: 8px;
    text-decoration: none;
    display: block;
    width: fit-content;
    color: var(--secondary-btn-default-color);
    background-color: var(--secondary-btn-default-background-color);
    transition: all 0.3s ease;
    cursor: pointer;
    border: 1px solid var(--secondary-btn-default-color);
}

.global-btn-secondary a:hover {
    color: var(--secondary-btn-hover-color);
    background-color: var(--secondary-btn-hover-background-color);
    transition: all 0.3s ease;
    border: 1px solid var(--secondary-btn-hover-color);
}

.global-btn-primary:hover a:visited {
	color: var(--primary-btn-hover-color) !important;
}
.global-btn-secondary a:visited {
	color: var(--primary-btn-hover-color) !important;
}
.global-btn-secondary:hover a:visited {
	color: var(--secondary-btn-hover-color) !important;
}

/* TEXT ALIGNMENT */
.txt-left {
    text-align: left;
}

.txt-right {
    text-align: right;
}

.txt-center {
    text-align: center;
}

/* FLEX ALIGNMENT */
.dp-flex {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: -moz-flex;
    display: -o-flex;
    display: flex;
}

.align-start {
    align-items: flex-start;
}

.align-center {
    align-items: center;
}

.align-end {
    align-items: flex-end;
}

.align-self-center {
    align-self: center;
}

.justify-center {
    justify-content: center;
}

.justify-end {
    justify-content: flex-end;
}

.justify-between {
    justify-content: space-between;
}

.justify-evenly {
    justify-content: space-evenly
}

.flex_wrap {
    flex-wrap: wrap;
}

.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.color-txt {
    color: var(--font-secondary-color);
}

.has-line {
    position: relative;
}

.has-line::after {
    content: "";
    position: absolute;
    width: 56px;
    height: 4px;
    background: #6B46C1;
    top: -16px;
    left: 0;
}

.height-100 {
    height: 100%;
}

.mb-24 {
    margin-bottom: 24px;
}

.mb-16 {
    margin-bottom: 16px;
}


/* RESPONSIVE */

@media screen and (max-width: 1024px) {
    section.section {
        padding-top: var( --padding-mobile-top);
        padding-bottom: var(  --padding-mobile-bottom);
    }
}

@media screen and (max-width: 991px) {
    .container {
        max-width: 900px !important;
    }
}

@media screen and (max-width: 480px) {
	section.section {
		padding-top: 4em;
        padding-bottom: 4em;
	}
	p {
		font-size: 16px;
	}
	
	h1 {
		font-size: 48px;
	}
	h2 {
		font-size: 39px;
	}
	h3 {
		font-size: 31px;
	}
}